<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
<a routerLink="/reportri" routerLinkActive="active" mat-raised-button color="primary" id="report">Report</a>
<div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="no">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No </th>
            <td mat-cell *matCellDef="let row"> {{row.no}} </td>
        </ng-container>

        <ng-container matColumnDef="tiket">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No Registrasi </th>
            <td mat-cell *matCellDef="let row"> {{row.tiket}} </td>
        </ng-container>

        <ng-container matColumnDef="dokter">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Dokter </th>
            <td mat-cell *matCellDef="let row" class="w-15-p"> {{row.dokter}} </td>
        </ng-container>

        <ng-container matColumnDef="plyn">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Jenis Pelayanan </th>
            <td mat-cell *matCellDef="let row" class="w-15-p"> {{row.plyn}} </td>
        </ng-container>

        <ng-container matColumnDef="tanggal_masuk">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal Masuk </th>
            <td mat-cell *matCellDef="let row"> {{row.tanggal_masuk | date: 'dd-MM-yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="tanggal_keluar">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal Keluar </th>
            <td mat-cell *matCellDef="let row"> {{row.tanggal_keluar | date: 'dd-MM-yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
            <td mat-cell *matCellDef="let row"> {{row.status}} </td>
        </ng-container>

        <ng-container matColumnDef="diagnosa">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Diagnosa </th>
            <td mat-cell *matCellDef="let row"><button mat-stroked-button  (click)="openDialogDetail(row.tiket,
                row.kd_rm,
                row.kdlyn,
                row.ukandungan,
                row.cek_dokter,
                row.cek_perawat,
                row.cek_fiso,
                row.cek_gizi,
                row.cek_apotik,
                row.pasien_baru,
                row.kunj_baru,
                row.cek_diag,
                row.cek_catatan,
                row.cek_ttd_dokter,
                row.kb,
                row.tanggal)">Lihat</button></td>
        </ng-container>

        <ng-container matColumnDef="obat">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Obat </th>
            <td mat-cell *matCellDef="let row"> <button mat-stroked-button (click)="openDialogObat(row.tiket,row.tanggal_masuk)">Lihat</button></td>
        </ng-container>

        <ng-container matColumnDef="resume">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Resume </th>
            <td mat-cell *matCellDef="let row"><a [routerLink]="['/../resumeri']" [queryParams]="{NoReg: row.tiket}" mat-stroked-button target="_blank">Lihat</a> </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
</div>